# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize /usr/bin/makedepend libncurses-devel pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           yersinia
Version:        0.7.1
Release:        alt1_11
Summary:        Network protocols tester and attacker

Group:          Networking/WWW
License:        GPLv2+
URL:            http://www.yersinia.net/
Source0:        http://www.yersinia.net/download/%{name}-%{version}.tar.gz

BuildRequires:  libpcap-devel
BuildRequires:  libnet2-devel
BuildRequires:  gtk2-devel
BuildRequires:  ncurses-devel
Source44: import.info


%description
Yersinia is a network tool designed to take advantage of some weakeness
in different network protocols. It pretends to be a solid framework for
analyzing and testing the deployed networks and systems.

Currently, there are some network protocols implemented, but others are 
coming (tell us which one is your preferred). Attacks for the following
network protocols are implemented (but of course you are free for 
implementing new ones):

* Spanning Tree Protocol (STP)
* Cisco Discovery Protocol (CDP)
* Dynamic Trunking Protocol (DTP)
* Dynamic Host Configuration Protocol (DHCP)
* Hot Standby Router Protocol (HSRP)
* IEEE 802.1Q and IEEE 802.1X
* Inter-Switch Link Protocol (ISL)
* VLAN Trunking Protocol (VTP)


%prep
%setup -q


%build
%configure --with-pcap-includes=%{_includedir}/pcap
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
# Convert to utf-8
for file in THANKS; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%files
%doc AUTHORS ChangeLog COPYING FAQ README THANKS TODO
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_11
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_10
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_9
- fc import

